ZooKeeperSaslClient.ServerSaslResponseCallback (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.client

## Class ZooKeeperSaslClient.ServerSaslResponseCallback

- java.lang.Object
- - org.apache.zookeeper.client.ZooKeeperSaslClient.ServerSaslResponseCallback

- All Implemented Interfaces:
    AsyncCallback, AsyncCallback.DataCallback
  Enclosing class:
    ZooKeeperSaslClient

      public static class ZooKeeperSaslClient.ServerSaslResponseCallback
      extends Object
      implements AsyncCallback.DataCallback

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.zookeeper.AsyncCallback

      `AsyncCallback.ACLCallback, AsyncCallback.AllChildrenNumberCallback, AsyncCallback.Children2Callback, AsyncCallback.ChildrenCallback, AsyncCallback.Create2Callback, AsyncCallback.DataCallback, AsyncCallback.EphemeralsCallback, AsyncCallback.MultiCallback, AsyncCallback.StatCallback, AsyncCallback.StringCallback, AsyncCallback.VoidCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSaslResponseCallback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processResult(int rc, String path, Object ctx, byte[] data, Stat stat)` Process the result of asynchronous calls.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSaslResponseCallback

          public ServerSaslResponseCallback()

  - ### Method Detail

    - #### processResult

          public void processResult(int rc,
                                    String path,
                                    Object ctx,
                                    byte[] data,
                                    Stat stat)

      Description copied from interface: `AsyncCallback.DataCallback`
      Process the result of asynchronous calls.

      On success, rc is `KeeperException.Code.OK`.

      On failure, rc is set to the corresponding failure code in `KeeperException`.

      - `KeeperException.Code.NONODE` - The node on given path doesn't exist for some API calls.
      Specified by:
        `processResult` in interface `AsyncCallback.DataCallback`
      Parameters:
        `rc` - The return code or the result of the call.
        `path` - The path that we passed to asynchronous calls.
        `ctx` - Whatever context object that we passed to asynchronous calls.
        `data` - The data of the node.
        `stat` - `Stat` object of the node on given path.
      See Also:
        `ZooKeeper.getData(String, boolean, AsyncCallback.DataCallback, Object)`, `ZooKeeper.getData(String, Watcher, AsyncCallback.DataCallback, Object)`, `ZooKeeper.getConfig(boolean, AsyncCallback.DataCallback, Object)`, `ZooKeeper.getConfig(Watcher, AsyncCallback.DataCallback, Object)`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.